'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (_ref) {
  var colors = _ref.colors,
      typography = _ref.typography;
  return {
    fontFamily: typography.fontFamily,
    color: colors.grey400,
    navigation: {
      fontSize: 20,
      lineHeight: 24
    },
    body: {
      fontSize: typography.regular.size,
      lineHeight: typography.regular.lineHeight,
      paddingTop: 12,
      paddingBottom: 12,
      color: colors.grey300
    },
    subheading: {
      fontSize: typography.subheading.size,
      lineHeight: typography.subheading.lineHeight,
      paddingTop: 12,
      paddingBottom: 12,
      color: colors.grey400,
      fontWeight: 'bold'
    },
    title: {
      fontSize: typography.title.size,
      lineHeight: typography.title.lineHeight,
      paddingTop: 7,
      paddingBottom: 11,
      color: colors.grey400
    },
    caption: {
      fontSize: 14
    },
    link: {
      color: colors.brand100,
      hover: {
        color: colors.brand200
      },
      active: {
        color: colors.brand300
      }
    }
  };
};