'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CardComponent = undefined;

var _taggedTemplateLiteral2 = require('babel-runtime/helpers/taggedTemplateLiteral');

var _taggedTemplateLiteral3 = _interopRequireDefault(_taggedTemplateLiteral2);

var _templateObject = (0, _taggedTemplateLiteral3.default)(['\n  margin: 18px 0;\n  padding: 18px;\n  border-radius: 6px;\n  border-width: 1px;\n  background-color: ', '\n  border-color: ', '\n  border-style: solid;\n  width: ', ';\n  height: ', ';\n  box-shadow: ', '\n'], ['\n  margin: 18px 0;\n  padding: 18px;\n  border-radius: 6px;\n  border-width: 1px;\n  background-color: ', '\n  border-color: ', '\n  border-style: solid;\n  width: ', ';\n  height: ', ';\n  box-shadow: ', '\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reset = require('../reset');

var reset = _interopRequireWildcard(_reset);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Card = function Card(props) {
  return _react2.default.createElement(CardComponent, { active: props.active, width: props.width, height: props.height });
};

var CardComponent = exports.CardComponent = reset.div(_templateObject, function (p) {
  return p.theme.colors.white;
}, function (p) {
  return p.theme.colors.grey200;
}, function (p) {
  return p.width;
}, function (p) {
  return p.height;
}, function (p) {
  return p.active && '0px 3px 3px 0px rgba(0,0,0,0.05);';
});

Card.propTypes = process.env.NODE_ENV !== "production" ? {
  /**
   * Marks card as active
   */
  active: _propTypes2.default.bool.isRequired,
  /**
   * Height css
   */
  height: _propTypes2.default.string.isRequired,
  /**
   * Width css
   */
  width: _propTypes2.default.string.isRequired
} : {};

Card.defaultProps = {
  active: false,
  height: '100%',
  width: '100%'
};

exports.default = Card;