"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (_ref) {
  var spacing = _ref.spacing,
      colors = _ref.colors;
  return {
    paddingVertical: spacing.paddingVertical,
    paddingHorizontal: spacing.paddingHorizontal,
    marginVertical: spacing.marginVertical,
    borderColor: colors.grey200,
    labelColor: colors.grey400,
    fill: colors.white,
    error: {
      color: colors.red100,
      borderColor: colors.red100
    },
    disabled: {
      borderColor: colors.grey200
    },
    focus: {
      borderColor: colors.brand100
    },
    hover: {
      borderColor: colors.grey400
    }
  };
};