import { injectGlobal } from 'styled-components';

// eslint-disable-next-line no-unused-expressions
injectGlobal`
  @import url('https://fonts.googleapis.com/css?family=Noto+Sans:400,400i,700,700i');
`;

const font = {
  fontFamily: "'Noto Sans', sans-serif",
  regular: {
    size: 16,
    lineHeight: 24
  },
  subheading: {
    size: 16,
    lineHeight: 24
  },
  title: {
    size: 36,
    lineHeight: 42
  }
};

export default font;